LF_Body = Core.class(Sprite)

function LF_Body:init(xworld, xtype, xtexture, xscalex, xscaley, xfixedrotation, xrestitution, xfriction)
	local texture = Texture.new(xtexture)
	local image = Bitmap.new(texture)
	image:setScale(xscalex, xscaley)

	self.w, self.h = image:getWidth(), image:getHeight()

	local render = RenderTarget.new(self.w, self.h)
	render:draw(image)
	self.bitmap = Bitmap.new(render)
	self:addChild(self.bitmap)

	local contour = Contour.trace(render)
	contour = Contour.clean(contour)
	local shapes = Contour.shape(contour)

	self.body = xworld:createBody { type = xtype }
	self.body:setFixedRotation(xfixedrotation)
	Contour.apply(self.body, shapes, { restitution = xrestitution, friction = xfriction})
end
